Kerbal Space Program - Bug #1677

Free electricity exploit
11/04/2013 04:07 AM - Katateochi

Status: Closed Start date: 11/04/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you land a craft and run the engines to generate power you (assuming you're not moving) can enter time warp (rails time warp not
physics). The engine animation will stop, fuel stops being drained but the power continues recharging.

| first found this with a jet I'd landed in a biome in Kerbin (during early career mode, before having solar panels). | was gently running
the engines to generate power when | accidentally hit time warp. | noticed the fuel stop being used but the power kept increasing.

| tried it again with a rocket engine. | landed the craft a bit away from the runway and gently ran engines and time warped. Same
thing, no fuel usage, but power was increasing. As a sanity check | also just time warped without first running the engines and the
power did not increase.

Does not apply when in space as you can't rails time warp with the engines throttled up.

Not tried this on other planets, guess it will be harder to do on low grav places.

History

#1 - 11/23/2013 09:09 AM - Kerolyov
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#2 - 11/23/2013 09:09 AM - Kerolyov
- Platform Any added
- Platform deleted (Windows)

#3 - 03/23/2016 01:26 AM - Thrawcheld

Pretty sure it's no longer possible to enter rails warp while the throttle is above zero.

#4 - 03/24/2016 12:58 PM - Kasuha

| tested it, you can enter time warp with engines running if the ship is not under acceleration but no electric charge gets generated. After exiting time
warp the engine starts burning and generating electricity again.

| guess the issue is fixed, then.

#5 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/08/2016 12:36 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing as done
